=== debian/changelog ===
aerc (0.3.0-2) unstable; urgency=medium

  * Remove build paths embedded in final package (Closes: #963717)

 -- Ben Fiedler <debian@services.bfiedler.ch>  Sun, 28 Jun 2020 20:19:02 +0200

aerc (0.3.0-1) unstable; urgency=medium

  * Initial release (Closes: #947962)

 -- Ben Fiedler <debian@services.bfiedler.ch>  Tue, 21 Apr 2020 20:41:56 +0200
