=== debian/watch ===
version=4
https://git.sr.ht/~sircmpwn/aerc/refs /~sircmpwn/aerc/archive/(\d\S*)\.tar\.gz
