=== debian/changelog ===
aerc (0.8.2-1ubuntu0.3) jammy-security; urgency=medium

  * No change rebuild due to golang-1.18 update

 -- Allen Huang <allen.huang@canonical.com>  Fri, 15 Nov 2024 17:48:48 +0000

aerc (0.8.2-1ubuntu0.2) jammy-security; urgency=medium

  * No change build due to golang-1.18 update 

 -- Nishit Majithia <nishit.majithia@canonical.com>  Fri, 28 Apr 2023 12:57:21 +0530

aerc (0.8.2-1ubuntu0.1) jammy-security; urgency=medium

  * No-change rebuild for golang-golang-x-text

 -- Eduardo Barretto <eduardo.barretto@canonical.com>  Wed, 25 Jan 2023 14:22:39 +0100

aerc (0.8.2-1) unstable; urgency=medium

  * New upstream version 0.8.2
  * d/rules: Override LDFLAGS from
    upstream, propagate debian-specific opts
  * d/rules: Add contrib/aerc.desktop to DH_INSTALL_EXTRA
  * Add patch to fix awk shebang in colorize script

 -- Nilesh Patra <nilesh@debian.org>  Wed, 23 Feb 2022 00:48:08 +0530

aerc (0.7.1-1) unstable; urgency=medium

  * New upstream version 0.7.1
  * Upstream started signing tags
    + Change d/watch to detect pgpmode
    + Add d/u/signing-key.asc to verify upstream signatures
  * Tighten B-D on golang-github-emersion-go-pgpmail-dev
  * Add B-D on golang-github-protonmail-go-crypto-dev
  * Drop use-x-crypto.diff: Use the protonmail crypto fork

 -- Nilesh Patra <nilesh@debian.org>  Sat, 15 Jan 2022 19:25:17 +0530

aerc (0.6.0-1) unstable; urgency=medium

  * New upstream version 0.6.0
  * Change refs from sircmpwn => rjarry, update copyright,
    since the project development would be going on a fork
  * Drop d/p/backport-message-id.diff
  * Refresh use-x-crypto.diff
  * d/control: Update B-D

 -- Nilesh Patra <nilesh@debian.org>  Mon, 22 Nov 2021 20:07:24 +0530

aerc (0.5.2-2) unstable; urgency=medium

  * Suppress executable-not-elf-or-script warning.
  * d/control: Change section to mail. (Closes: #996819)

 -- Aloïs Micard <creekorful@debian.org>  Wed, 20 Oct 2021 09:08:52 +0200

aerc (0.5.2-1) unstable; urgency=medium

  [ Aloïs Micard ]
  * d/patches:
    - Write patch to use new version of golang-github-emersion-go-message-dev.
    - Write patch to use x-crypto instead of protonmail fork.
  * d/rules:
    - Install config/default_styleset.

  [ Nilesh Patra ]
  * New upstream version 0.5.2 (Closes: #981066, #989151)
  * Remove d/p/fix-installation-directories.diff for it has been fixed upstream
  * Add d/u/metadata
  * d/rules: s/make/$(MAKE)/g
  * d/control
    + Remove start with an article in Short Description
    + Bump debhelper compatibility level to 13
    + Bump Standards-Version to 4.6.0 (no changes needed)
    + Add Myself and Aloïs to Uploaders

 -- Nilesh Patra <nilesh@debian.org>  Thu, 26 Aug 2021 20:07:20 +0530

aerc (0.4.0-1) unstable; urgency=medium

  * Release 0.4.0

 -- Ben Fiedler <debian@services.bfiedler.ch>  Mon, 17 Aug 2020 22:41:32 +0200
