=== debian/control ===
--- 
+++ 
@@ -1,25 +1,30 @@
 Source: aerc
-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
-Uploaders: Karthik <kskarthik@disroot.org>, Ben Fiedler <debian@services.bfiedler.ch>
-Section: devel
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Uploaders: Nilesh Patra <nilesh@debian.org>,
+           Aloïs Micard <creekorful@debian.org>
+Section: mail
 Testsuite: autopkgtest-pkg-go
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-golang,
                golang-any,
                golang-github-danwakefield-fnmatch-dev,
                golang-github-ddevault-go-libvterm-dev,
                golang-github-creack-pty-dev,
-               golang-github-emersion-go-imap-dev,
+               golang-github-imdario-mergo-dev,
+               golang-github-emersion-go-imap-dev (>= 1.2.0~),
                golang-github-emersion-go-imap-idle-dev,
+               golang-github-emersion-go-imap-sortthread-dev,
                golang-github-emersion-go-maildir-dev,
-               golang-github-emersion-go-message-dev,
+               golang-github-emersion-go-message-dev (>= 0.11.1),
+               golang-github-emersion-go-pgpmail-dev (>= 0.2.0-1~),
                golang-github-emersion-go-sasl-dev,
-               golang-github-emersion-go-smtp-dev,
+               golang-github-emersion-go-smtp-dev (>= 0.12.1),
                golang-github-emersion-go-textwrapper-dev,
-               golang-github-gdamore-tcell-dev,
+               golang-github-gdamore-tcell.v2-dev,
                golang-github-fsnotify-fsnotify-dev,
-               golang-github-go-ini-ini-dev,
+               golang-github-go-ini-ini-dev (>= 1.52.0),
                golang-github-google-shlex-dev,
                golang-github-kyoh86-xdg-dev,
                golang-github-martinlindhe-base36-dev,
@@ -28,29 +33,30 @@
                golang-github-miolini-datacounter-dev,
                golang-github-mitchellh-go-homedir-dev,
                golang-github-pkg-errors-dev,
+               golang-github-protonmail-go-crypto-dev,
                golang-github-riywo-loginshell-dev,
                golang-github-stretchr-testify-dev,
                golang-github-zenhack-go.notmuch-dev,
                golang-golang-x-oauth2-google-dev,
                golang-sourcehut-sircmpwn-getopt-dev,
                libnotmuch-dev,
-               scdoc,
-Standards-Version: 4.5.0
+               scdoc
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/aerc
 Vcs-Git: https://salsa.debian.org/go-team/packages/aerc.git
 Homepage: https://aerc-mail.org
 Rules-Requires-Root: no
-XS-Go-Import-Path: git.sr.ht/~sircmpwn/aerc
+XS-Go-Import-Path: git.sr.ht/~rjarry/aerc
 
 Package: aerc
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends}
 Recommends: dante-client,
-            w3m,
+            w3m
 Suggests: notmuch
 Built-Using: ${misc:Built-Using}
-Description: The World's Best Email Client
+Description: World's Best Email Client
  Some of its more interesting features include:
   - Editing emails in an embedded terminal tmux-style, allowing you to check on
     incoming emails and reference other threads while you compose your replies
