## aerc 0.11.0

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 .SUFFIXES:
 .SUFFIXES: .1 .5 .7 .1.scd .5.scd .7.scd
 
-VERSION?=`git describe --long --tags --dirty 2>/dev/null || echo 0.8.2`
+VERSION!=git describe --long --tags --dirty 2>/dev/null || echo 0.11.0
 VPATH=doc
 PREFIX?=/usr/local
 BINDIR?=$(PREFIX)/bin
@@ -10,9 +10,14 @@
 MANDIR?=$(PREFIX)/share/man
 GO?=go
 GOFLAGS?=
-LDFLAGS+=-X main.Version=$(VERSION)
+BUILD_OPTS?=-trimpath
+# ignore environment variable
+GO_LDFLAGS:=
+GO_LDFLAGS+=-X main.Version=$(VERSION)
+GO_LDFLAGS+=-X git.sr.ht/~rjarry/aerc/config.shareDir=$(SHAREDIR)
+GO_LDFLAGS+=$(GO_EXTRA_LDFLAGS)
 
-GOSRC:=$(shell find * -name '*.go')
+GOSRC!=find * -name '*.go'
 GOSRC+=go.mod go.sum
 
 DOCS := \
@@ -30,20 +35,39 @@
 
 all: aerc $(DOCS)
 
-aerc: $(GOSRC)
-	$(GO) build $(GOFLAGS) -ldflags "$(LDFLAGS)" -o $@
+build_cmd:=$(GO) build $(BUILD_OPTS) $(GOFLAGS) -ldflags "$(GO_LDFLAGS)" -o aerc
+
+# the following command outputs nothing, we only want to execute it once
+# and force .aerc.d to be regenerated when build_cmd has changed
+_!=grep -sqFx '$(build_cmd)' .aerc.d || rm -f .aerc.d
+
+.aerc.d:
+	@echo '$(build_cmd)' > $@
+
+aerc: $(GOSRC) .aerc.d
+	$(build_cmd)
+
+.PHONY: dev
+dev:
+	$(MAKE) aerc BUILD_OPTS="-trimpath -race"
+	GORACE="log_path=race.log strip_path_prefix=git.sr.ht/~rjarry/aerc/" ./aerc
 
 .PHONY: fmt
 fmt:
 	gofmt -w .
 
-.PHONY: checkfmt
-checkfmt:
-	@if [ `gofmt -l . | wc -l` -ne 0 ]; then \
+.PHONY: lint
+lint:
+	@echo "gofmt -d ."; if [ `gofmt -l . | wc -l` -ne 0 ]; then \
 		gofmt -d .; \
 		echo "ERROR: source files need reformatting with gofmt"; \
 		exit 1; \
 	fi
+	$(GO) vet ./...
+
+.PHONY: tests
+tests:
+	$(GO) test $(GOFLAGS) -v ./...
 
 .PHONY: debug
 debug: aerc.debug
@@ -51,7 +75,7 @@
 	@echo '    dlv attach $$(pidof aerc.debug)'
 
 aerc.debug: $(GOSRC)
-	$(GO) build $(GOFLAGS) -gcflags=*=-N -gcflags=*=-l -ldflags="$(LDFLAGS)" -o aerc.debug
+	$(GO) build $(GOFLAGS) -gcflags=*=-N -gcflags=*=-l -ldflags="$(GO_LDFLAGS)" -o aerc.debug
 
 .1.scd.1:
 	scdoc < $< > $@
@@ -89,10 +113,13 @@
 	install -m644 config/accounts.conf $(DESTDIR)$(SHAREDIR)/accounts.conf
 	install -m644 config/aerc.conf $(DESTDIR)$(SHAREDIR)/aerc.conf
 	install -m644 config/binds.conf $(DESTDIR)$(SHAREDIR)/binds.conf
+	install -m755 filters/calendar $(DESTDIR)$(SHAREDIR)/filters/calendar
 	install -m755 filters/colorize $(DESTDIR)$(SHAREDIR)/filters/colorize
 	install -m755 filters/hldiff $(DESTDIR)$(SHAREDIR)/filters/hldiff
 	install -m755 filters/html $(DESTDIR)$(SHAREDIR)/filters/html
+	install -m755 filters/html-unsafe $(DESTDIR)$(SHAREDIR)/filters/html-unsafe
 	install -m755 filters/plaintext $(DESTDIR)$(SHAREDIR)/filters/plaintext
+	install -m755 filters/show-ics-details.py $(DESTDIR)$(SHAREDIR)/filters/show-ics-details.py
 	install -m644 templates/new_message $(DESTDIR)$(SHAREDIR)/templates/new_message
 	install -m644 templates/quoted_reply $(DESTDIR)$(SHAREDIR)/templates/quoted_reply
 	install -m644 templates/forward_as_body $(DESTDIR)$(SHAREDIR)/templates/forward_as_body
