=== debian/changelog ===
aerc (0.11.0-1ubuntu0.1) kinetic-security; urgency=medium

  * No-change rebuild for golang-golang-x-text 

 -- Eduardo Barretto <eduardo.barretto@canonical.com>  Thu, 09 Feb 2023 17:49:05 +0100

aerc (0.11.0-1) unstable; urgency=medium

  [ Nilesh Patra ]
  * Use DEB_VERSION_UPSTREAM instead of parsing from d/ch
  * Disable reprotest in d/gitlab-ci.yml

  [ Robin Jarry ]
  * d/rules: force version from changelog
  * d/patches: remove disable-beep.diff
  * New upstream version 0.11.0
  * d/patches: remove upstreamed patch
  * d/control: update dependencies

 -- Robin Jarry <robin@jarry.cc>  Fri, 15 Jul 2022 22:18:07 +0530

aerc (0.10.0-1) unstable; urgency=medium

  [ Nilesh Patra ]
  * New upstream version 0.10.0
  * Remove d/p/do-not-append-ldflags.diff: Upstream adapted w/ our buildsystem
  * Do not install show-ics-details.py
  * Update d/gitlab-ci.yml: aerc is a leaf package and
    would not break anything, use default gitlab-ci
  * d/rules: Set GNUPGHOME to attempt fix build failure

  [ Robin Jarry ]
  * d/control: add build-dependency and recommends on gnupg

 -- Nilesh Patra <nilesh@debian.org>  Mon, 09 May 2022 22:58:53 +0000

aerc (0.9.0-1) unstable; urgency=medium

  * New upstream version 0.9.0
  * d/control: Update short description
  * Add B-D on golang-github-gatherstars-com-jwz-dev,
    golang-github-lithammer-fuzzysearch-dev and golang-github-xo-terminfo-dev
  * Add patch to not append to ldflags, rather initialize
    it so as to override when needed

 -- Nilesh Patra <nilesh@debian.org>  Wed, 23 Mar 2022 19:01:04 +0530
