=== debian/control ===
--- 
+++ 
@@ -2,13 +2,16 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Nilesh Patra <nilesh@debian.org>,
+           Robin Jarry <robin@jarry.cc>,
            Aloïs Micard <creekorful@debian.org>
 Section: mail
 Testsuite: autopkgtest-pkg-go
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-golang,
+               gnupg,
                golang-any,
+               golang-github-arran4-golang-ical-dev,
                golang-github-danwakefield-fnmatch-dev,
                golang-github-ddevault-go-libvterm-dev,
                golang-github-creack-pty-dev,
@@ -18,15 +21,18 @@
                golang-github-emersion-go-imap-sortthread-dev,
                golang-github-emersion-go-maildir-dev,
                golang-github-emersion-go-message-dev (>= 0.11.1),
+               golang-github-emersion-go-msgauth-dev,
                golang-github-emersion-go-pgpmail-dev (>= 0.2.0-1~),
                golang-github-emersion-go-sasl-dev,
                golang-github-emersion-go-smtp-dev (>= 0.12.1),
                golang-github-emersion-go-textwrapper-dev,
                golang-github-gdamore-tcell.v2-dev,
                golang-github-fsnotify-fsnotify-dev,
+               golang-github-gatherstars-com-jwz-dev,
                golang-github-go-ini-ini-dev (>= 1.52.0),
                golang-github-google-shlex-dev,
                golang-github-kyoh86-xdg-dev,
+               golang-github-lithammer-fuzzysearch-dev,
                golang-github-martinlindhe-base36-dev,
                golang-github-mattn-go-isatty-dev,
                golang-github-mattn-go-runewidth-dev,
@@ -36,7 +42,9 @@
                golang-github-protonmail-go-crypto-dev,
                golang-github-riywo-loginshell-dev,
                golang-github-stretchr-testify-dev,
+               golang-github-syndtr-goleveldb-dev,
                golang-github-zenhack-go.notmuch-dev,
+               golang-github-xo-terminfo-dev,
                golang-golang-x-oauth2-google-dev,
                golang-sourcehut-sircmpwn-getopt-dev,
                libnotmuch-dev,
@@ -53,10 +61,11 @@
 Depends: ${misc:Depends},
          ${shlibs:Depends}
 Recommends: dante-client,
+            gnupg,
             w3m
 Suggests: notmuch
 Built-Using: ${misc:Built-Using}
-Description: World's Best Email Client
+Description: Pretty Good Email Client
  Some of its more interesting features include:
   - Editing emails in an embedded terminal tmux-style, allowing you to check on
     incoming emails and reference other threads while you compose your replies
