=== debian/rules ===
--- 
+++ 
@@ -24,8 +24,14 @@
 	cp config/*.conf* _build/src/git.sr.ht/~rjarry/aerc/config/
 
 override_dh_auto_build:
-	cd _build/src/git.sr.ht/~rjarry/aerc && $(MAKE) LDFLAGS="-extldflags -Wl,-z,now -s -w -X 'main.Version=$(DEB_VERSION_UPSTREAM)'"
+	$(MAKE) -C _build/src/git.sr.ht/~rjarry/aerc VERSION=$(DEB_VERSION_UPSTREAM)
 
+override_dh_auto_test:
+	mkdir -p debian/test-gnupg
+	chmod og-rx debian/test-gnupg
+	GNUPGHOME=${CURDIR}/debian/test-gnupg dh_auto_test
+	rm -rf debian/test-gnupg
 
 override_dh_auto_install:
-	cd _build/src/git.sr.ht/~rjarry/aerc && $(MAKE) install
+	$(MAKE) -C_build/src/git.sr.ht/~rjarry/aerc install VERSION=$(DEB_VERSION_UPSTREAM)
+	find $(DESTDIR) -name show-ics-details.py -delete
