## aerc 0.12.0

=== debian/changelog ===
aerc (0.12.0-1) unstable; urgency=medium

  * New upstream version 0.12.0

 -- Robin Jarry <robin@jarry.cc>  Thu, 01 Sep 2022 10:54:15 +0200
