=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: aerc
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Nilesh Patra <nilesh@debian.org>,
            Robin Jarry <robin@jarry.cc>,
            Aloïs Micard <creekorful@debian.org>
@@ -10,22 +9,21 @@
 Build-Depends: debhelper-compat (= 13),
                dh-golang,
                gnupg,
-               golang-any,
+               golang-any (>= 1.16),
                golang-github-arran4-golang-ical-dev,
                golang-github-danwakefield-fnmatch-dev,
                golang-github-ddevault-go-libvterm-dev,
                golang-github-creack-pty-dev,
                golang-github-imdario-mergo-dev,
                golang-github-emersion-go-imap-dev (>= 1.2.0~),
-               golang-github-emersion-go-imap-idle-dev,
                golang-github-emersion-go-imap-sortthread-dev,
                golang-github-emersion-go-maildir-dev,
+               golang-github-emersion-go-mbox-dev,
                golang-github-emersion-go-message-dev (>= 0.11.1),
                golang-github-emersion-go-msgauth-dev,
                golang-github-emersion-go-pgpmail-dev (>= 0.2.0-1~),
                golang-github-emersion-go-sasl-dev,
                golang-github-emersion-go-smtp-dev (>= 0.12.1),
-               golang-github-emersion-go-textwrapper-dev,
                golang-github-gdamore-tcell.v2-dev,
                golang-github-fsnotify-fsnotify-dev,
                golang-github-gatherstars-com-jwz-dev,
@@ -33,7 +31,6 @@
                golang-github-google-shlex-dev,
                golang-github-kyoh86-xdg-dev,
                golang-github-lithammer-fuzzysearch-dev,
-               golang-github-martinlindhe-base36-dev,
                golang-github-mattn-go-isatty-dev,
                golang-github-mattn-go-runewidth-dev,
                golang-github-miolini-datacounter-dev,
@@ -49,7 +46,7 @@
                golang-sourcehut-sircmpwn-getopt-dev,
                libnotmuch-dev,
                scdoc
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/go-team/packages/aerc
 Vcs-Git: https://salsa.debian.org/go-team/packages/aerc.git
 Homepage: https://aerc-mail.org
