## aerc 0.13.0

=== debian/changelog ===
aerc (0.13.0-1) unstable; urgency=medium

  * New upstream version 0.13.0
  * d/control: update dependencies

 -- Robin Jarry <robin@jarry.cc>  Thu, 20 Oct 2022 20:59:13 +0000
