## aerc 0.14.0

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 .SUFFIXES:
 .SUFFIXES: .1 .5 .7 .1.scd .5.scd .7.scd
 
-VERSION!=git describe --long --tags --dirty 2>/dev/null || echo 0.11.0
+VERSION!=git describe --long --abbrev=12 --tags --dirty 2>/dev/null || echo 0.14.0
 VPATH=doc
 PREFIX?=/usr/local
 BINDIR?=$(PREFIX)/bin
@@ -11,18 +11,22 @@
 GO?=go
 GOFLAGS?=
 BUILD_OPTS?=-trimpath
+flags!=echo -- $(GOFLAGS) | base64 | tr -d '\n'
 # ignore environment variable
 GO_LDFLAGS:=
 GO_LDFLAGS+=-X main.Version=$(VERSION)
+GO_LDFLAGS+=-X main.Flags=$(flags)
 GO_LDFLAGS+=-X git.sr.ht/~rjarry/aerc/config.shareDir=$(SHAREDIR)
 GO_LDFLAGS+=$(GO_EXTRA_LDFLAGS)
 
-GOSRC!=find * -name '*.go'
+GOSRC!=find * -name '*.go' | grep -v filters/wrap.go
 GOSRC+=go.mod go.sum
 
 DOCS := \
 	aerc.1 \
 	aerc-search.1 \
+	aerc-accounts.5 \
+	aerc-binds.5 \
 	aerc-config.5 \
 	aerc-imap.5 \
 	aerc-maildir.5 \
@@ -33,7 +37,7 @@
 	aerc-templates.7 \
 	aerc-stylesets.7
 
-all: aerc $(DOCS)
+all: aerc wrap $(DOCS)
 
 build_cmd:=$(GO) build $(BUILD_OPTS) $(GOFLAGS) -ldflags "$(GO_LDFLAGS)" -o aerc
 
@@ -42,10 +46,15 @@
 _!=grep -sqFx '$(build_cmd)' .aerc.d || rm -f .aerc.d
 
 .aerc.d:
+	@echo 'GOFLAGS have changed, recompiling'
 	@echo '$(build_cmd)' > $@
 
 aerc: $(GOSRC) .aerc.d
 	$(build_cmd)
+
+wrap: filters/wrap.go .aerc.d
+	$(GO) build $(BUILD_OPTS) $(GOFLAGS) -ldflags "$(GO_EXTRA_LDFLAGS)" \
+		-o wrap filters/wrap.go
 
 .PHONY: dev
 dev:
@@ -54,20 +63,23 @@
 
 .PHONY: fmt
 fmt:
-	gofmt -w .
+	$(GO) run mvdan.cc/gofumpt -w .
 
 .PHONY: lint
 lint:
-	@echo "gofmt -d ."; if [ `gofmt -l . | wc -l` -ne 0 ]; then \
-		gofmt -d .; \
-		echo "ERROR: source files need reformatting with gofmt"; \
-		exit 1; \
-	fi
-	$(GO) vet ./...
+	@contrib/check-whitespace `git ls-files` && echo white space ok.
+	@$(GO) run mvdan.cc/gofumpt -d . | grep ^ \
+		&& echo The above files need to be formatted, please run make fmt && exit 1 \
+		|| echo all files formatted.
+	$(GO) run github.com/golangci/golangci-lint/cmd/golangci-lint run
+
+.PHONY: vulncheck
+vulncheck:
+	$(GO) run golang.org/x/vuln/cmd/govulncheck@latest ./...
 
 .PHONY: tests
 tests:
-	$(GO) test $(GOFLAGS) -v ./...
+	$(GO) test $(GOFLAGS) ./...
 
 .PHONY: debug
 debug: aerc.debug
@@ -94,13 +106,15 @@
 clean:
 	$(RM) $(DOCS) aerc
 
-install: $(DOCS) aerc
+install: $(DOCS) aerc wrap
 	mkdir -m755 -p $(DESTDIR)$(BINDIR) $(DESTDIR)$(MANDIR)/man1 $(DESTDIR)$(MANDIR)/man5 $(DESTDIR)$(MANDIR)/man7 \
 		$(DESTDIR)$(SHAREDIR) $(DESTDIR)$(SHAREDIR)/filters $(DESTDIR)$(SHAREDIR)/templates $(DESTDIR)$(SHAREDIR)/stylesets \
 		$(DESTDIR)$(PREFIX)/share/applications
 	install -m755 aerc $(DESTDIR)$(BINDIR)/aerc
 	install -m644 aerc.1 $(DESTDIR)$(MANDIR)/man1/aerc.1
 	install -m644 aerc-search.1 $(DESTDIR)$(MANDIR)/man1/aerc-search.1
+	install -m644 aerc-accounts.5 $(DESTDIR)$(MANDIR)/man5/aerc-accounts.5
+	install -m644 aerc-binds.5 $(DESTDIR)$(MANDIR)/man5/aerc-binds.5
 	install -m644 aerc-config.5 $(DESTDIR)$(MANDIR)/man5/aerc-config.5
 	install -m644 aerc-imap.5 $(DESTDIR)$(MANDIR)/man5/aerc-imap.5
 	install -m644 aerc-maildir.5 $(DESTDIR)$(MANDIR)/man5/aerc-maildir.5
@@ -120,16 +134,23 @@
 	install -m755 filters/html-unsafe $(DESTDIR)$(SHAREDIR)/filters/html-unsafe
 	install -m755 filters/plaintext $(DESTDIR)$(SHAREDIR)/filters/plaintext
 	install -m755 filters/show-ics-details.py $(DESTDIR)$(SHAREDIR)/filters/show-ics-details.py
+	install -m755 wrap $(DESTDIR)$(SHAREDIR)/filters/wrap
 	install -m644 templates/new_message $(DESTDIR)$(SHAREDIR)/templates/new_message
 	install -m644 templates/quoted_reply $(DESTDIR)$(SHAREDIR)/templates/quoted_reply
 	install -m644 templates/forward_as_body $(DESTDIR)$(SHAREDIR)/templates/forward_as_body
-	install -m644 config/default_styleset $(DESTDIR)$(SHAREDIR)/stylesets/default
+	install -m644 stylesets/default $(DESTDIR)$(SHAREDIR)/stylesets/default
+	install -m644 stylesets/dracula $(DESTDIR)$(SHAREDIR)/stylesets/dracula
+	install -m644 stylesets/nord $(DESTDIR)$(SHAREDIR)/stylesets/nord
+	install -m644 stylesets/pink $(DESTDIR)$(SHAREDIR)/stylesets/pink
+	install -m644 stylesets/blue $(DESTDIR)$(SHAREDIR)/stylesets/blue
 	install -m644 contrib/aerc.desktop $(DESTDIR)$(PREFIX)/share/applications/aerc.desktop
 
 .PHONY: checkinstall
 checkinstall:
 	$(DESTDIR)$(BINDIR)/aerc -v
 	test -e $(DESTDIR)$(MANDIR)/man1/aerc.1
+	test -e $(DESTDIR)$(MANDIR)/man5/aerc-accounts.5
+	test -e $(DESTDIR)$(MANDIR)/man5/aerc-binds.5
 	test -e $(DESTDIR)$(MANDIR)/man5/aerc-config.5
 	test -e $(DESTDIR)$(MANDIR)/man5/aerc-imap.5
 	test -e $(DESTDIR)$(MANDIR)/man5/aerc-notmuch.5
@@ -144,6 +165,8 @@
 	$(RM) $(DESTDIR)$(BINDIR)/aerc
 	$(RM) $(DESTDIR)$(MANDIR)/man1/aerc.1
 	$(RM) $(DESTDIR)$(MANDIR)/man1/aerc-search.1
+	$(RM) $(DESTDIR)$(MANDIR)/man5/aerc-accounts.5
+	$(RM) $(DESTDIR)$(MANDIR)/man5/aerc-binds.5
 	$(RM) $(DESTDIR)$(MANDIR)/man5/aerc-config.5
 	$(RM) $(DESTDIR)$(MANDIR)/man5/aerc-imap.5
 	$(RM) $(DESTDIR)$(MANDIR)/man5/aerc-maildir.5
@@ -162,4 +185,16 @@
 	$(RM) $(DESTDIR)$(PREFIX)/share/applications/aerc.desktop
 	$(RMDIR_IF_EMPTY) $(DESTDIR)$(PREFIX)/share/applications
 
+.PHONY: gitconfig
+gitconfig:
+	git config format.subjectPrefix "PATCH aerc"
+	git config sendemail.to "~rjarry/aerc-devel@lists.sr.ht"
+	git config sendemail.validate true
+	@mkdir -p .git/hooks
+	ln -sf ../../contrib/sendemail-validate .git/hooks/sendemail-validate
+
+.PHONY: check-patches
+check-patches:
+	@contrib/check-patches origin/master..
+
 .PHONY: all doc clean install uninstall debug
