=== debian/changelog ===
aerc (0.14.0-1) unstable; urgency=medium

  * New upstream version 0.14.0

 -- Robin Jarry <robin@jarry.cc>  Fri, 06 Jan 2023 23:47:31 +0100
