=== debian/control ===
--- 
+++ 
@@ -12,7 +12,6 @@
                golang-any (>= 1.16),
                golang-github-arran4-golang-ical-dev,
                golang-github-danwakefield-fnmatch-dev,
-               golang-github-ddevault-go-libvterm-dev,
                golang-github-creack-pty-dev,
                golang-github-imdario-mergo-dev,
                golang-github-emersion-go-imap-dev (>= 1.2.0~),
@@ -24,7 +23,7 @@
                golang-github-emersion-go-pgpmail-dev (>= 0.2.0-1~),
                golang-github-emersion-go-sasl-dev,
                golang-github-emersion-go-smtp-dev (>= 0.12.1),
-               golang-github-gdamore-tcell.v2-dev,
+               golang-github-gdamore-tcell.v2-dev (>= 2.5.3),
                golang-github-fsnotify-fsnotify-dev,
                golang-github-gatherstars-com-jwz-dev,
                golang-github-go-ini-ini-dev (>= 1.52.0),
@@ -43,6 +42,7 @@
                golang-github-zenhack-go.notmuch-dev,
                golang-github-xo-terminfo-dev,
                golang-golang-x-oauth2-google-dev,
+               golang-sourcehut-rockorager-tcell-term-dev (>= 0.3.0),
                golang-sourcehut-sircmpwn-getopt-dev,
                libnotmuch-dev,
                scdoc
